Fetch Provider Properties
curl --request GET \
--url https://sandbox-api.payfonte.com/billing/v1/transfer-recipients/{provider}/properties \
--header 'client-id: <api-key>' \
--header 'client-secret: <api-key>'import requests
url = "https://sandbox-api.payfonte.com/billing/v1/transfer-recipients/{provider}/properties"
headers = {
"client-id": "<api-key>",
"client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'client-id': '<api-key>', 'client-secret': '<api-key>'}
};
fetch('https://sandbox-api.payfonte.com/billing/v1/transfer-recipients/{provider}/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"banks": [
{
"bankName": "Access Bank",
"bankCode": "044"
}
]
}
}Disbursements
Fetch Provider Properties
This is the endpoint to Fetch properties for provider that needs them before a transfer recipient can be created. E.g Paystack (Bank Transfer)
GET
/
billing
/
v1
/
transfer-recipients
/
{provider}
/
properties
Fetch Provider Properties
Path Parameters
This is the provider slug. Find full list of providers here Supported Providers
Response
200 - application/json
- Option 1
- Option 2
Show child attributes
Show child attributes
⌘I